Bug 1267665 - Split wildmidi plugin
Split wildmidi plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-bad-free (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks: depchain
  Show dependency treegraph
 
Reported: 2015-09-30 11:24 EDT by mati86dl
Modified: 2016-08-27 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: gstreamer1-plugins-bad-free-1.9.1-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 06:20:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix FTBFS, #1295444, #1267665, #1308290 (8.28 KB, patch)
2016-02-20 10:14 EST, Kevin Kofler
no flags Details | Diff

  None (edit)
Description mati86dl 2015-09-30 11:24:00 EDT
Description of problem:

I'm trying to introduce the chromaprint plugin to gstreamer1-plugin-bad-extra package.

See: https://bugzilla.redhat.com/show_bug.cgi?id=1145700

The problem now is that doing Pragha depend on gstreamer1-plugin-plugin-bad, this package introduces 190MB due fluid-soundfont-lite-patches needed to wildmidi-libs.

My suggestion is introduce a sub-package containing all midi support of gtreamer1 as gstreamer1-plugin-bad-free-wildmidi

Version-Release number of selected component (if applicable):
 * gstreamer1-plugin-bad-free >= 1.4

How reproducible:
# sudo dnf install gstreamer1-plugins-bad-free-extras
# Installed size: 200Mb

Steps to Reproduce:
1. sudo dnf install gstreamer1-plugins-bad-free-extras

Actual results:
1. Suggest install:
 * wildmidi-libs                        0.3.8-1.fc22  @System  118 k
 * fluid-soundfont-lite-patches noarch   3.1-13.fc21  @System  195 M

Expected results:
 That gstreamer1-plugins-bad-free-extras not depend on wildmidi and and therefore not install fluid-soundfont-lite-patches

Additional info:
 Maybe related to: https://bugzilla.redhat.com/show_bug.cgi?id=1078925
Comment 1 Wim Taymans 2016-02-16 06:36:40 EST
Should we do something similar to the fluidsynth package? Not sure it is the same because fluidsynth-libs does not depend on the fluid-soundfont-lite-patches.
Comment 2 Kevin Kofler 2016-02-20 10:14 EST
Created attachment 1128804 [details]
Fix FTBFS, #1295444, #1267665, #1308290

The attached patch fixes this bug, bug #1295444, bug #1308290 and the FTBFS of the current Rawhide specfile.
Comment 3 Kevin Kofler 2016-02-20 10:44:55 EST
> Should we do something similar to the fluidsynth package?

The fluidsynth plugin is already in a subpackage.
Comment 4 Wim Taymans 2016-08-10 04:10:36 EDT
Pushed to f25 and rawhide
Comment 5 Fedora Update System 2016-08-19 07:14:24 EDT
gstreamer1-plugins-bad-free-1.9.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1bc3f1930
Comment 6 Fedora Update System 2016-08-19 12:50:21 EDT
gstreamer1-plugins-bad-free-1.9.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1bc3f1930
Comment 7 Fedora Update System 2016-08-27 06:19:52 EDT
gstreamer1-plugins-bad-free-1.9.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.